Subject: Re: bug#15046: 24.3.50; Extra Line under minibuffer in Mac OSX fullscreen

From: Dani Moncayo <[email-masked]>
Date: Fri, 9 Aug 2013 15:14:34 +0200

>> And FWIW, I've just noticed that, at least in the Windows port, this
>> problem is already fixed when both the menu bar and the tool bar are
>> hidden.
>>
>> See the attached screenshots.  They show a fullscreen "emacs -Q" session.
>> * The first one has the menu and tool bars visible, and the echo area
>> takes too much, unnecessary vertical space.
>> * The second one has the menu and toll bars hidden, and now the
>> leftover space is given to the main windows (correct).
>
> I think that has to with the fact that the buffer uses two different font sizes.  In that case both NS and X11 also displays partial lines.  Try with a buffer with just one font size, and adjust the size.  You should be able to get the blank leftover pixels at the bottom without menu and tool bar also.

I've just tried it, and it seems that your guess is wrong.  I'm
attaching two screenshots of a fullscreen "emacs -Q" showing a buffer
with a single font size:
* "Capture3" has visible menu and tool bars.  There is leftover space
at the bottom and right edges of the screen.
* "Capture4" has hidden menu and tool bars. Now the leftover vertical
space is given to the main window, but the leftover horizontal space
is still there.

-- 
Dani Moncayo